Firefox 5, eigener Sync-Server, Fehler nach Update

  • Hallo,


    ich benutze einen eigenen Sync Server, den ich mal nach einer kleinen Anleitung aus einem WebDav-Apache-Server nachgebaut habe.
    Das funktionierte bisher ausgezeichnet. Updates des Addons Sync waren immer erfolgreich, auch als es später im FF integriert wurde.


    Seit dem testweisen Update einer meiner Rechner von FF 4.01 auf FF5 geht bei diesem die Kommunikation mit meinem Sync-Server nicht mehr. Das Log des Apache zeigt folgendes:


    Ein Sync von einem FF 4.x Rechner, einwandfreie Funktion:


    Code
    10.9.7.101 - juergen [07/Jul/2011:09:00:25 +0200] "GET /weave/1.0/juergen/info/collections HTTP/1.1" 200 141 "-" "Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1"
    10.9.7.101 - juergen [07/Jul/2011:09:00:25 +0200] "GET /weave/1.0/juergen/storage/meta/global HTTP/1.1" 200 289 "-" "Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1"
    10.9.7.101 - juergen [07/Jul/2011:09:00:25 +0200] "GET /weave/1.0/juergen/info/collections HTTP/1.1" 200 141 "-" "Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1"
    10.9.7.101 - juergen [07/Jul/2011:09:00:25 +0200] "GET /weave/1.0/juergen/storage/crypto/keys HTTP/1.1" 200 406 "-" "Mozilla/5.0 (Windows NT 5.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1"


    Ein Sync vom FF 5-Rechner, der unter 4.01 ebenfalls einwandfrei funktionierte. Jetzt Meldung, dass Benutzername/Kennwort falsch wären:


    Code
    192.168.99.2 - juergen [07/Jul/2011:09:00:56 +0200] "GET /weave/1.1/juergen/info/collections HTTP/1.1" 404 20 "-" "Firefox/5.0 FxSync/1.8.0.20110615151330.desktop"
    192.168.99.2 - juergen [07/Jul/2011:09:00:56 +0200] "GET /weave/user/1.0/juergen/node/weave HTTP/1.1" 404 20 "-" "Firefox/5.0 FxSync/1.8.0.20110615151330.desktop"


    Man sieht sofort, dass das neue Sync in völlig anderen URLs sucht (../user/..., .../1.1/..), eine 404 bekommt und somit nicht mehr kompatibel ist.
    Sync ist essentiell und diese Sache ist der Showstopper für die FF5-Installation (über die Versionitis des FF will ich mich hier nicht weiter aufregen).
    Kennt jemand die Ursache, oder besser, wie ich das behebe und auf das alte Verhalten zurückschalten kann?
    Vielleicht gibt es ja einen neuen Weg, einen eigenen Sync-Server zu betreiben (und mit endlichem Aufwand einzurichten)?
    Danke